.TH snmp_notification_mib 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmp_notification_mib \- Instrumentation Functions for SNMP-NOTIFICATION-MIB
.SH DESCRIPTION
.LP
The module \fIsnmp_notification_mib\fR implements the instrumentation functions for the SNMP-NOTIFICATION-MIB, and functions for configuring the database\&. 
.LP
The configuration files are described in the SNMP User\&'s Manual\&.

.SH EXPORTS
.LP
.B
configure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
This function is called from the supervisor at system start-up\&. 
.LP
Inserts all data in the configuration files into the database and destroys all old rows with StorageType \fIvolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fInotify\&.conf\fR\&. 
.RE
.LP
.B
reconfigure(ConfDir) -> void()
.br
.RS
.TP
Types
ConfDir = string()
.br
.RE
.RS
.LP
Inserts all data in the configuration files into the database and destroys all old data, including the rows with StorageType \fInonVolatile\fR\&. The rows created from the configuration file will have StorageType \fInonVolatile\fR\&. 
.LP
Thus, the data in the SNMP-NOTIFICATION-MIB, after this function has been called, is from the configuration files\&. 
.LP
If an error is found in the configuration file, it is reported using the function \fIconfig_err/2\fR of the error report module, and the function fails with reason \fIconfiguration_error\fR\&. 
.LP
\fIConfDir\fR is a string which points to the directory where the configuration files are found\&. 
.LP
The configuration file read is: \fInotify\&.conf\fR\&. 
.RE
.LP
.B
add_notify(Name, Tag, Type) -> Ret
.br
.RS
.TP
Types
Name = string()
.br
Tag = string()
.br
Type = trap | inform
.br
Ret = {ok, Key} | {error, Reason}
.br
Key = term()
.br
Reason = term()
.br
.RE
.RS
.LP
Adds a notify definition to the agent config\&. Equivalent to one line in the \fInotify\&.conf\fR file\&.
.RE
.LP
.B
delete_notify(Key) -> Ret
.br
.RS
.TP
Types
Key = term()
.br
Ret = ok | {error, Reason}
.br
Reason = term()
.br
.RE
.RS
.LP
Delete a notify definition from the agent config\&.
.RE
